# $Revision: 1.70 $, $Date: 2003/08/10 23:22:53 $

# Conditionals:
# _with_ps
# _without_pdf

Summary:	RFC documents
Summary(pl):	Dokumenty RFC
Name:		rfc
Version:	3498
Release:	4
License:	distributable
Group:		Documentation
Source0:	ftp://ftp.isi.edu/in-notes/tar/RFCs0001-0500.tar.gz
# Source0-md5:	b592ed689022655d596dc5aa5d80ddfb
Source1:	ftp://ftp.isi.edu/in-notes/tar/RFCs0501-1000.tar.gz
# Source1-md5:	96d468b8ecb513e642ca0e9b4032a150
Source2:	ftp://ftp.isi.edu/in-notes/tar/RFCs1001-1500.tar.gz
# Source2-md5:	e64bb6f54570192b386ad0a2a2281d3e
Source3:	ftp://ftp.isi.edu/in-notes/tar/RFCs1501-2000.tar.gz
# Source3-md5:	18bc03445190a9a9e331eb47b07f942e
Source4:	ftp://ftp.isi.edu/in-notes/tar/RFCs2001-2500.tar.gz
# Source4-md5:	ec09b758d25e39b1d4a415780ff0c329
Source5:	ftp://ftp.isi.edu/in-notes/tar/RFCs2501-3000.tar.gz
# Source5-md5:	0799d01a6776e69b5d3ec3b348013c79
Source6:	ftp://ftp.isi.edu/in-notes/tar/RFCs3001-3500.tar.gz
# Source6-md5:	042d28a48aefdf6d9d53fea02ea2d0c9
Source7:	%{name}-missing_from_tar.tar.bz2
# Source7-md5:	042af253f34d0474fa5c364e677eccc6
Patch0:		%{name}.patch
URL:		http://www.rfc.net/
%if %{!?_with_ps:%{!?_without_pdf:1}%{?_without_pdf:0}}%{?_with_ps:1}
BuildRequires:	enscript
BuildRequires:	ghostscript
%endif
BuildRequires:	xpdf-tools
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RFC (Request For Comments) documents are actual and suggested Internet
standards.

%description -l pl
Dokumenty RFC (Request For Comments) zawieraj opis obowizujcych i
proponowanych standardw internetowych.

%package	text-basic
Summary:	Commonly referenced RFC documents
Summary(pl):	Najczciej wymieniane dokumenty RFC
Group:		Documentation
Requires:	%{name}-index >= %{version}
Obsoletes:	%{name}-text

%description text-basic
This is pure text version of basic RFC (Request For Comments) documents,
referenced by some other package documentation.

%description text-basic -l pl
Wersja tekstowa dokumentw podstawowych RFC (Request For Comments), do
ktrych odnosi si dokumentacja innych pakietw.

%package	text
Summary:	RFC documents - pure text version
Summary(pl):	Wersja czysto tekstowa dokumentw RFC
Group:		Documentation
Requires:	%{name}-index >= %{version}
Provides:	%{name}-text-basic
Obsoletes:	%{name}-text-basic

%description text
This is pure text version of RFC (Request For Comments) documents. The
set is incomplete. Some documents are available in PostScript and PDF
formats only.

%description text -l pl
Wersja tekstowa dokumentw RFC (Request For Comments). Zbir jest
niepeny, gdy niektre dokumenty s dostpne wycznie w postaci
postscriptowej i PDF.

%if %{!?_with_ps:0}%{?_with_ps:1}
%package	ps
Summary:	RFC documents - PostScript version
Summary(pl):	Wersja postscriptowa dokumentw RFC
Group:		Documentation
Requires:	%{name}-index >= %{version}

%description ps
PostScript version of RFC (Request For Comments) documents.

%description ps -l pl
Wersja postscriptowa dokumentw RFC (Request For Comments).
%endif

%if %{!?_without_pdf:1}%{?_without_pdf:0}
%package	pdf
Summary:	RFC documents - pdf version
Summary(pl):	Wersja postscriptowa dokumentw RFC
Group:		Documentation
Requires:	%{name}-index >= %{version}

%description pdf
RFC (Request For Comments) documents in Adobe PDF format.

%description pdf -l pl
Dokumenty RFC (Request For Comments) w formacie Adobe PDF.
%endif

%prep
%setup -q -c -a1 -a2 -a3 -a4 -a5 -a6 -a7
%patch0 -p0

%build
rm -f rfc2328.hastabs.txt

# These are broken/unreadable by gv
mv -f rfc1144.ps rfc1144.orig.ps
mv -f rfc1279.ps rfc1279.orig.ps
mv -f rfc1291.ps rfc1291.orig.ps # FIX! check again

# These are unreadable because of character spacing problems
mv -f rfc1125.pdf rfc1125.orig.pdf
mv -f rfc1275.pdf rfc1275.orig.pdf

# These are pictures only
mv -f rfc525.ps rfc525-pict.ps
mv -f rfc546.ps rfc546-pict.ps
mv -f rfc525.pdf rfc525-pict.pdf
mv -f rfc546.pdf rfc546-pict.pdf

%if %{!?_with_ps:0}%{?_with_ps:1}
for n in 1144 1305 ; do
	gs -q -dNOPAUSE -dBATCH -dSAFER -sDEVICE=pswrite \
	   -sOutputFile=rfc$n.ps -c save pop -f rfc$n.pdf
done
%endif

# these were provided only in .ps/.pdf
for n in 1119 1124 1128 1129 1131 ; do
	echo -e '\nThe text below was generated from PDF by pdftotext.' >> rfc$n.txt
	echo -e '----------------------------------------------------------------------\n' >> rfc$n.txt
	pdftotext rfc$n.pdf - >> rfc$n.txt
done

# Generate .ps and .pdf versions when they are not provided
%if %{!?_with_ps:%{!?_without_pdf:1}%{?_without_pdf:0}}%{?_with_ps:1}
for i in rfc[1-9]*.txt ; do
	BASE=`echo $i | sed "s/.txt$//"`
	PSFILE=$BASE.ps
	if [ ! -e $BASE.ps ] ; then
		# avoid stopping on errors ; .ps file may be correct
		# even after processing problems
		enscript --margin=54 -B  -fCourier11 -p $BASE.ps $i 2>/dev/null || :
	fi
%endif
%if %{!?_without_pdf:1}%{?_without_pdf:0}
	if [ ! -e $BASE.pdf ] ; then
		ps2pdf $BASE.ps $BASE.pdf 2>/dev/null
	fi
%endif
%if %{!?_with_ps:%{!?_without_pdf:1}%{?_without_pdf:0}}%{?_with_ps:1}
done
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_defaultdocdir}/RFC/text/{{0,1,2}{0,1,2,3,4,5,6,7,8,9},3{0,1,2,3,4}}00
install -d $RPM_BUILD_ROOT%{_defaultdocdir}/RFC/pdf/{{0,1,2}{0,1,2,3,4,5,6,7,8,9},3{0,1,2,3,4}}00
install -d $RPM_BUILD_ROOT%{_defaultdocdir}/RFC/postscript/{{0,1,2}{0,1,2,3,4,5,6,7,8,9},3{0,1,2,3,4}}00

find . -name 'rfc[1-9]*.txt' -print | xargs gzip -9
%if %{!?_with_ps:0}%{?_with_ps:1}
find . -name 'rfc[1-9]*.ps'  -print | xargs gzip -9
%endif

# install rfc[1-9]*.txt* $RPM_BUILD_ROOT%{_defaultdocdir}/RFC/text
for i in {0,1,2}{0,1,2,3,4,5,6,7,8,9} 3{0,1,2,3,4}; do
	install rfc`echo $i|sed s/^0\*//g`[0-9][0-9][a.]*txt* \
		$RPM_BUILD_ROOT%{_defaultdocdir}/RFC/text/${i}00
done
install rfc[0-9].txt* $RPM_BUILD_ROOT%{_defaultdocdir}/RFC/text/0000

# install rfc*.pdf       $RPM_BUILD_ROOT%{_defaultdocdir}/RFC/pdf
%if %{!?_without_pdf:1}%{?_without_pdf:0}
for i in {0,1,2}{0,1,2,3,4,5,6,7,8,9} 3{0,1,2,3,4} ; do
	install rfc`echo $i|sed s/^0\*//g`[0-9][0-9][a.-]*pdf \
		$RPM_BUILD_ROOT%{_defaultdocdir}/RFC/pdf/${i}00
done
install rfc[0-9].pdf $RPM_BUILD_ROOT%{_defaultdocdir}/RFC/pdf/0000
%endif

%if %{!?_with_ps:0}%{?_with_ps:1}
# install rfc*.ps        $RPM_BUILD_ROOT%{_defaultdocdir}/RFC/postscript
for i in {0,1,2}{0,1,2,3,4,5,6,7,8,9} 3{0,1,2,3,4} ; do
	install rfc`echo $i|sed s/^0\*//g`[0-9][0-9][a.-]*ps* \
		$RPM_BUILD_ROOT%{_defaultdocdir}/RFC/postscript/${i}00
done
install rfc[0-9].ps* $RPM_BUILD_ROOT%{_defaultdocdir}/RFC/postscript/0000
%endif

BASIC="rfc1032.txt rfc1033.txt rfc1034.txt rfc1035.txt rfc1101.txt"\
"      rfc1122.txt rfc1123.txt rfc1183.txt rfc1274.txt rfc1279.txt"\
"      rfc1308.txt rfc1309.txt rfc1321.txt rfc1348.txt rfc1413.txt"\
"      rfc1510.txt rfc1535.txt rfc1536.txt rfc1537.txt rfc1591.txt"\
"      rfc1611.txt rfc1612.txt rfc1617.txt rfc1706.txt rfc1712.txt"\
"      rfc1731.txt rfc1732.txt rfc1733.txt rfc1750.txt rfc1823.txt"\
"      rfc1876.txt rfc1939.txt rfc1982.txt rfc1995.txt rfc1996.txt"\
"      rfc2052.txt rfc2060.txt rfc2061.txt rfc2062.txt rfc2079.txt"\
"      rfc2086.txt rfc2087.txt rfc2088.txt rfc2095.txt rfc2104.txt"\
"      rfc2119.txt rfc2131.txt rfc2132.txt rfc2133.txt rfc2136.txt"\
"      rfc2137.txt rfc2163.txt rfc2168.txt rfc2177.txt rfc2180.txt"\
"      rfc2181.txt rfc2192.txt rfc2193.txt rfc2195.txt rfc2218.txt"\
"      rfc2221.txt rfc2222.txt rfc2228.txt rfc2230.txt rfc2234.txt"\
"      rfc2243.txt rfc2245.txt rfc2246.txt rfc2247.txt rfc2251.txt"\
"      rfc2252.txt rfc2253.txt rfc2254.txt rfc2255.txt rfc2256.txt"\
"      rfc2279.txt rfc2289.txt rfc2293.txt rfc2294.txt rfc2307.txt"\
"      rfc2308.txt rfc2317.txt rfc2342.txt rfc2359.txt rfc2373.txt"\
"      rfc2374.txt rfc2375.txt rfc2377.txt rfc2418.txt rfc2444.txt"\
"      rfc2485.txt rfc2487.txt rfc2489.txt rfc2535.txt rfc2536.txt"\
"      rfc2537.txt rfc2538.txt rfc2539.txt rfc2540.txt rfc2541.txt"\
"      rfc2553.txt rfc2587.txt rfc2589.txt rfc2595.txt rfc2596.txt"\
"      rfc2649.txt rfc2671.txt rfc2672.txt rfc2673.txt rfc2683.txt"\
"      rfc2696.txt rfc2713.txt rfc2714.txt rfc2782.txt rfc2798.txt"\
"      rfc2825.txt rfc2826.txt rfc2828.txt rfc2829.txt rfc2830.txt"\
"      rfc2831.txt rfc2845.txt rfc2849.txt rfc2874.txt rfc2891.txt"\
"      rfc2915.txt rfc2929.txt rfc2930.txt rfc2931.txt rfc2945.txt"\
"      rfc3007.txt rfc3008.txt rfc3045.txt rfc3062.txt rfc3088.txt"\
"      rfc3090.txt rfc3110.txt rfc3112.txt rfc3174.txt rfc3296.txt"\
"      rfc3377.txt rfc3383.txt rfc951.txt  rfc952.txt  rfc959.txt"

for i in $BASIC; do
	install $i* $RPM_BUILD_ROOT%{_defaultdocdir}/RFC/text
done

%clean
rm -rf $RPM_BUILD_ROOT

%files text-basic
%defattr(644,root,root,755)
%dir %{_defaultdocdir}/RFC/text
%{_defaultdocdir}/RFC/text/rfc*.txt*

%files text
%defattr(644,root,root,755)
%dir %{_defaultdocdir}/RFC/text
%{_defaultdocdir}/RFC/text/[0-9]*

%if %{!?_with_ps:0}%{?_with_ps:1}
%files ps
%defattr(644,root,root,755)
%{_defaultdocdir}/RFC/postscript
%endif

%if %{!?_without_pdf:1}%{?_without_pdf:0}
%files pdf
%defattr(644,root,root,755)
%{_defaultdocdir}/RFC/pdf
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rfc.spec,v $
Revision 1.70  2003/08/10 23:22:53  ankry
- added rfc3315 & rfc3319, rel. 4

Revision 1.69  2003/05/28 13:01:39  malekith
- massive attack: source-md5

Revision 1.68  2003/05/25 06:26:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.67  2003/05/12 14:38:34  ankry
- added 3316 and 3343, rel. 3

Revision 1.66  2003/05/02 11:49:05  ankry
- BR: xpdf-tools (pdftotext moved)

Revision 1.65  2003/04/07 16:03:53  ankry
- added some pages missing from RFCs3001-3500.tar.gz
- rel. 2

Revision 1.64  2003/03/23 17:04:14  ankry
- fixed duplicate dirs
- rel. 1

Revision 1.63  2003/03/23 00:10:30  ankry
- updated; splited into rfc & rfc-latest
- untested: rel 0.1

Revision 1.62  2003/02/13 15:28:22  ankry
- added SASL (cyrus-sasl) and LDAP (openldap) RFCs to -basic

Revision 1.61  2003/02/13 15:16:14  ankry
- add RFCs for cyrrus-sasl to -basic

Revision 1.60  2003/02/13 15:05:12  ankry
- add DHCP RFCs to -basic; rel. 2

Revision 1.59  2003/02/05 14:12:48  ankry
- up to rfc3470

Revision 1.58  2003/01/11 11:48:06  ankry
- updates to 3455

Revision 1.57  2002/12/19 15:43:20  ankry
- new RFCs. Version 3449.

Revision 1.56  2002/12/03 13:27:20  ankry
- version 3429

Revision 1.55  2002/10/17 15:24:02  ankry
- new rfcs

Revision 1.54  2002/10/01 09:39:16  ankry
- updated - version 3395

Revision 1.53  2002/09/25 22:41:13  ankry
- added rfcs: 3249,3250, 3310, 3314, 3331, 3332, 3378.
- release 2

Revision 1.52  2002/09/19 15:41:41  ankry
- added rfc33{73,79,83}

Revision 1.51  2002/09/17 12:11:57  ankry
- added missing brackets

Revision 1.50  2002/09/16 19:21:40  ankry
- added rfc3335,337[2457]
- release 3377

Revision 1.49  2002/09/06 14:15:33  ankry
- version 3371

Revision 1.48  2002/08/24 17:21:19  ankry
- updated: many new pages; version 3365

Revision 1.47  2002/07/30 15:29:08  ankry
- added rfcs: 3297, 3339-42, 3347

Revision 1.46  2002/07/23 14:33:07  ankry
- added rfc3{296,348}
- added rfcindex manpage
- version 3348, release 1

Revision 1.45  2002/07/11 16:10:56  ankry
- added HTML-ized rfc-index and a tool to generate it
- release 6

Revision 1.44  2002/07/11 13:06:24  ankry
- added rfc32{73,87}
- release 5

Revision 1.43  2002/07/03 13:38:03  ankry
- added rfc326[1-8]
- release 4, STBR

Revision 1.42  2002/07/01 07:44:44  ankry
- added rfc328[34]
- release 3

Revision 1.41  2002/06/27 12:42:54  ankry
- added rfc3288; release 2

Revision 1.40  2002/06/19 12:05:09  ankry
- added rfc3301; version 3301, release 1

Revision 1.39  2002/06/12 12:22:19  ankry
- added rfc329[45]
- version 3295, release 1, STBR

Revision 1.38  2002/06/11 18:35:38  ankry
- added rfc32[74,92,93]

Revision 1.37  2002/06/09 20:56:37  ankry
- added rfc3289
- release 4

Revision 1.36  2002/06/01 18:02:44  ankry
- added rfc32{82,85,90}
- release 3

Revision 1.35  2002/05/24 16:23:31  ankry
- adde RFCs: 3114, 327[026], 3286
- release 2

Revision 1.34  2002/05/16 21:32:46  ankry
- Version 3291 (added rfc3291), STBR

Revision 1.33  2002/05/11 22:11:48  ankry
- version 3281, release 1

Revision 1.32  2002/05/08 21:58:06  ankry
- added rfc3241
- release 2, STBR

Revision 1.31  2002/05/08 08:57:54  ankry
- commented out Source8

Revision 1.30  2002/05/04 10:53:49  ankry
- added RFCs: 32{42,43,77}
- Version 3277, rel. 1

Revision 1.29  2002/04/20 18:24:11  ankry
- added rfc3271.txt into sources
- release 13

Revision 1.28  2002/04/18 20:16:20  ankry
- added rfc325[56]

Revision 1.27  2002/04/17 17:52:24  ankry
- added rfc32{54,58,60}

Revision 1.26  2002/04/12 10:39:24  ankry
- added rfc3257; release 10

Revision 1.25  2002/04/04 12:13:55  ankry
- added rfc3245
- release 9

Revision 1.24  2002/04/04 00:10:22  ankry
- fixed conditional build
- BR: xpdf (for pdftotext)
- release 8

Revision 1.23  2002/03/31 10:42:53  filon
- added conditional to not build pdf (_without_pdf) or ps (_without_ps) versions
- text versions of ps/pdf only files generated from pdf (not ps), much better output
- release 7

Revision 1.22  2002/03/30 20:48:40  ankry
- added rfc325[12]
- release 6

Revision 1.21  2002/03/26 14:49:19  ankry
- rfc3247 added
- release 5

Revision 1.20  2002/03/21 14:57:25  kloczek
- release 4.

Revision 1.19  2002/03/21 12:02:14  ankry
- Sources 9 & 10 no longer necessary

Revision 1.18  2002/03/20 01:03:53  ankry
- added rfc324[68]
- release 3, stbr

Revision 1.17  2002/03/15 21:30:22  qboosh
- use Obsoletes not Conflicts (removed self-conflict in -text subpackage)
- release 2

Revision 1.16  2002/03/15 13:35:10  ankry
- added unused Source8 for pld-notify.awk

Revision 1.15  2002/03/13 23:07:14  ankry
- updated tars to 3275; revision 1

Revision 1.14  2002/03/13 22:25:55  ankry
- added rfc-text-basic package; release 5

Revision 1.13  2002/03/07 16:12:29  ankry
- workaround for pstotext hangs / ghostscript errors on original pages
- release 4

Revision 1.12  2002/03/07 11:58:48  ankry
- included rfc3253 into the latest tar
- release 3

Revision 1.11  2002/03/07 00:20:19  ankry
- support rfc17a; release 2

Revision 1.10  2002/03/06 21:00:08  ankry
- one more rfc; version 3253

Revision 1.9  2002/03/06 20:17:24  ankry
- updated sources
- version 3244 release 1

Revision 1.8  2002/03/06 00:05:52  qboosh
- added doc/RFC dir to -index subpackage
- generate .txt versions from 5 ps-only RFCs
- release 3

Revision 1.7  2002/02/25 09:14:25  ankry
- splitted onto format type packages (probably -ps or -pdf shoud be removed)
- added pages that are missing from tars
- fix remove and regenerate broken files
- revision 2

Revision 1.6  2002/02/23 20:35:15  ankry
- fixed Source7 processing
- splited onto dirs
- version 3240 (the latest RFC number), release 1

Revision 1.5  2002/02/23 05:40:30  kloczek
- add %%{_defaultdocdir}/RFC directory also to package.

Revision 1.4  2002/02/22 23:29:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/22 20:07:16  ankry
- added URL, adapterized
- release 4

Revision 1.2  2002/02/22 19:57:59  ankry
- changed Source7 to unzipped file; it will be patchable
- fix in pl desc

Revision 1.1  2002/02/22 19:27:49  ankry
- initial release
